Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.serverPool.config
Class ServerPoolConfig

`java.lang.Object
oracle.ovs.api.datamodel.serverPool.config.ServerPoolConfig`

All Implemented Interfaces:
  java.io.Serializable

      public class ServerPoolConfig

extends java.lang.Object
implements java.io.Serializable

This class holds the configuration details for adding a new server pool to the management system.

Configuration may include:
1. Master Virtual Server
2. Utility Virtual Server
3. Virtual Server

See Also:
  Serialized Form

Constructor Summary
`ServerPoolConfig()` Default constructor.

Method Summary
`void` | `enableHA(java.lang.Boolean HAStatus)` Enable HA for the server pool.
`java.lang.Boolean` | `getHA_enabled()` Deprecated. Get HA status from the virtualServer pool.
`MasterVirtualServer` | `getMasterServer()` Get master virtualServer.
`java.lang.String` | `getServerPoolName()` Get name of the virtualServer pool.
`java.util.List` | `getUtilityServers()` Get utility virtualServer.
`java.util.List` | `getVirtualServers()` Get virtual servers.
`java.lang.Boolean` | `isHAEnabled()` Get HA Status for the pool.
`void` | `setHA_enabled(java.lang.Boolean HA_enabled)` Deprecated. Set HA status for the virtualServer pool.
`void` | `setMasterServer(MasterVirtualServer masterServer)` Set a master virtualServer to the virtualServer pool.
`void` | `setServerPoolName(java.lang.String serverPoolName)` Set name for the virtualServer pool.
`void` | `setUtilityServers(java.util.List utilityServers)` Set a utility virtualServer to the virtualServer pool.
`void` | `setVirtualServers(java.util.List _virtualServers)` Set virtual servers.
`java.lang.String` | `toString()` Override java.lang.Object.toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerPoolConfig

    public ServerPoolConfig()

  Default constructor.

Method Detail

### setMasterServer

    public void setMasterServer(MasterVirtualServer masterServer)

  Set a master virtualServer to the virtualServer pool.
  Parameters:
    `masterServer` -

### getMasterServer

    public MasterVirtualServer getMasterServer()

  Get master virtualServer.
  Returns:

### setUtilityServers

    public void setUtilityServers(java.util.List utilityServers)

  Set a utility virtualServer to the virtualServer pool.
  Parameters:
    `utilityServers` -

### getUtilityServers

    public java.util.List getUtilityServers()

  Get utility virtualServer.
  Returns:
    utility virtualServer

### setVirtualServers

    public void setVirtualServers(java.util.List _virtualServers)

  Set virtual servers.
  Parameters:
    `_virtualServers` -

### getVirtualServers

    public java.util.List getVirtualServers()

  Get virtual servers.
  Returns:

### enableHA

    public void enableHA(java.lang.Boolean HAStatus)

  Enable HA for the server pool.
  Parameters:
    `HAStatus` -

### setHA_enabled

    public void setHA_enabled(java.lang.Boolean HA_enabled)

  Deprecated. Set HA status for the virtualServer pool.
  Parameters:
    `HA_enabled` -

### isHAEnabled

    public java.lang.Boolean isHAEnabled()

  Get HA Status for the pool.
  Returns:
    HA Status

### getHA_enabled

    public java.lang.Boolean getHA_enabled()

  Deprecated. Get HA status from the virtualServer pool.
  Returns:
    HA status

### setServerPoolName

    public void setServerPoolName(java.lang.String serverPoolName)

  Set name for the virtualServer pool.
  Parameters:
    `serverPoolName` -

### getServerPoolName

    public java.lang.String getServerPoolName()

  Get name of the virtualServer pool.
  Returns:
    name

### toString

    public java.lang.String toString()

  Override java.lang.Object.toString()
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ServerPoolConfig Object description.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.